Measure tools: opening Configuration dialog may change your custom units
Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Tools

Affected QGIS version:2.14.5 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 23362

Description

Open a measure tool and switch the units to another one

Click the configuration dialog and validate it without making changes

Your unit selection is lost and the default hard-coded unit (see #15435) replaces it

Ltr and next

Related issues:

Related to QGIS Application - Bug report # 18891: Changed Ruler distance unit... Open 2018-05-01

History

#1 - 2016-10-04 05:57 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

I don't think this is a bug - I assume the behaviour is intentional to make it easier for users to immediately see the result of changing the default unit type.

#2 - 2016-10-12 07:46 AM - Harrissou Santanna

Maybe, but silently change configuration of a dialog is not good. Note that it does nothing to do with clicking the "Configuration button":

- change the unit of the widget and do what you want

- then simply open the Options dialog from Settings menu (do anything else, in any other tab)

- and apply the dialog.

--> You lose the units you chose.

It's not a big issue but as it is the units set in Project properties that is applied (and not the one in global settings), the measure widget units should be

automatically changed only if user manually change the units in Project properties or at least open and apply that dialog (not the settings one).

#3 - 2018-10-22 06:38 PM - Harrissou Santanna

- Related to Bug report #18891: Changed Ruler distance units do not "stick" - instead always revert to Meters when Ruler Tool is re-selected added
